Subject: Re: [RFC][USB] powerpc: Workaround for the PPC440EPX USBH_23 errata

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 05 Sep 2008 11:35:08 +1000

> I assume that's the reason the suggested approach failed.

I think (hope) that Vitaly actually fixed that before trying it :-)

> I don't mind doing that, provided the changes are cleaned up so that 
> they don't affect people who aren't building kernels for 44x systems.

I also find the CONFIG_PM approach not terribly reliable... too timing
sensitive, and it forces boards to add CONFIG_PM which is not
necessarily the nicest thing to do in embedded space.

Sounds better to me to clean up the initial patch to ensure it's not
going to introduce bloat for other platforms and use that, ie just
consider it as yet another HW errata.

Cheers,
Ben.